Fly.io
Machines

Suspend Machine

View as Markdown

Suspend a specific Machine within an app. The next start operation will attempt (but is not guaranteed) to resume the Machine from a snapshot taken at suspension time, rather than performing a cold boot.

POST
/apps/{app_name}/machines/{machine_id}/suspend

Suspend a specific Machine within an app. The next start operation will attempt (but is not guaranteed) to resume the Machine from a snapshot taken at suspension time, rather than performing a cold boot.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

machine_id*string

Machine ID

Response Body

curl -X POST "https://example.com/apps/string/machines/string/suspend"
Empty